;;;; cl-scopes/app/demo/etc/config

(in-package :scopes/app/demo)

(config:root :env-keys '(:docroot :address :port :loglevel :logfile)
             :env-path (util:runtime-path ".env"))

(config:add :logger :class 'logging:config
            :loglevel (config:from-env :loglevel :info)
            :logfile (config:from-env :logfile "scopes.log")
            :console nil)

(config:add :server :class 'server:config
  :port (config:from-env :port "8800")
  :address (config:from-env :address "0.0.0.0")
  :routes 
    `((("hx") server:message-handler :html-responder cs-hx:response)
      (() server:fileserver :doc-root 
          ,(util:path-from-string (config:from-env :docroot "/var/www/html/")))))
(config:add-action '(:test :data) #'core:echo)
(config:add-action '(:auth :login) #'core:echo)
